commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From John Yu <j...@scioworks.com>
Subject Re: Digester under JRun 3.1
Date Wed, 04 Dec 2002 03:15:26 GMT
Sounds like JRun has its own copy of xerces.jar which is older/incompatible.

Try to add your xerces.jar to the system classpath (i.e. java -cp) when 
starting the JRun to see if the problem goes away.


At 08:17 am 04-12-2002, you wrote:
>Using version 1.3 of Digester, I am getting a NoSuchMethodError when running
>under JRun 3.1. Has anyone else encountered this? I am guessing it is a
>problem of not having the correct sax parser loaded. I have a xalan.jar and
>xerces.jar in my servers lib directory.
>
>Here's the stack trace:
>null
>java.lang.NoSuchMethodError
>at org.apache.commons.digester.Digester.getXMLReader(Digester.java:892)
>at org.apache.commons.digester.Digester.parse(Digester.java:1514)
>
>This corresponds to the line:
>reader = getParser().getXMLReader();
>
>Anyone have any ideas?
>Thanks
>
>
> > Steve Taylor

-- 
John Yu                       Scioworks Technologies
e: john@scioworks.com         w: +(65) 873 5989
w: http://www.scioworks.com   m: +(65) 9782 9610


Mime
View raw message